<?php
/**
 * Public Admin Bar Assets (when the user is logged-in and the admin bar is showing).
 *
 * Loads assets (JS, CSS), adds data for them.
 *
 * @package First-Party-Analytics
 */

namespace First_Party_Analytics\Assets\Publ;

use First_Party_Analytics\Web_Vitals;

/**
 * Public admin bar assets class.
 */
final class Public_Admin_Bar {

    /**
     * Inits.
     */
    public static function init() {
        if ( is_admin_bar_showing() ) {
            $class = __CLASS__;
            new $class();
        }
    }

    /**
     * Constructor.
     */
    public function __construct() {
        $this->scripts();
    }

    /**
     * Loads scripts.
     */
    private function scripts() {
        wp_enqueue_script(
            'first-party-analytics-public-admin-bar-script',
            FIRST_PARTY_ANALYTICS_URL . 'assets/build/public/admin-bar.js',
            [],
            FIRST_PARTY_ANALYTICS_VERSION,
            true
        );
    }
}
