<?php
/**
 * Assets WC Edit Attributes screen (/wp-admin/edit-tags.php?taxonomy=product_cat&post_type=product) customization.
 *
 * Loads assets (JS, CSS), adds data for them.
 *
 * @package First-Party-Analytics
 * @since   0.0.1
 */

namespace First_Party_Analytics\Assets\Menu\Screens\WC_Taxonomies;

use First_Party_Analytics\Admin_Menu;
use First_Party_Analytics\WooCommerce\WC_Taxonomies_Data;

/**
 * Assets class.
 */
final class Edit_Categories {

    /**
     * Constructor.
     */
    public function __construct() {
        $this->scripts();
    }

    /**
     * Loads scripts.
     */
    private function scripts() {
        wp_register_script(
            'first-party-analytics-admin-script',
            FIRST_PARTY_ANALYTICS_URL . 'assets/build/admin/index.js',
            [],
            FIRST_PARTY_ANALYTICS_VERSION,
            true
        );

        wp_enqueue_script(
            'first-party-analytics-admin-wc-edit-categories-screen-script',
            FIRST_PARTY_ANALYTICS_URL . 'assets/build/admin/screens/wc-taxonomies/edit-categories.js',
            [ 'first-party-analytics-admin-script' ],
            FIRST_PARTY_ANALYTICS_VERSION,
            true
        );

        wp_localize_script(
            'first-party-analytics-admin-script',
            'firstPartyAnalytics',
            [
                'txt'      => Admin_Menu::get_texts(),
                'catViews' => WC_Taxonomies_Data::get_unique_views_per_categories(),
            ]
        );
    }
}
