<?php
/**
 * Object Cache usage helper.
 *
 * @package First-Party-Analytics
 * @since   0.0.57
 */

namespace First_Party_Analytics;

use Exception;

/**
 * Class Object_Cache.
 */
final class Object_Cache {

    /**
     * Check if to use object cache.
     *
     * @return bool
     * @throws Exception Exception.
     */
    public static function use_object_cache() {
        wp_cache_set( 'use-object-cache', First_Party_Analytics::$options->get( 'setting-use-object-cache' ), First_Party_Analytics::$slug );
        return wp_using_ext_object_cache() && wp_cache_get( 'use-object-cache', First_Party_Analytics::$slug );
    }
}
