<?php
/**
 * A class for the extraction and post-procession of third-party data.
 *
 * @package First-Party-Analytics
 */

namespace First_Party_Analytics;

/**
 * Class Third_Party_Data_Extractors.
 */
final class Third_Party_Data_Extractors {

    /**
     * Extract all;
     */
    public static function extract_all() {
        self::extract_domain_suffixes_list();
    }

    /**
     * Extract domain suffixes list.
     */
    public static function extract_domain_suffixes_list() {
        $public_suffixes = First_Party_Analytics::$fs->get_contents_array( FIRST_PARTY_ANALYTICS_DIR . 'libs/public-suffix/public_suffix_list.dat.txt' );

        $public_suffixes = array_map(
            function ( $x ) {
                return trim( $x, "\n" );
            },
            $public_suffixes
        );

        $public_suffixes = array_filter(
            $public_suffixes,
            function ( $x ) {
                return $x && ! str_starts_with( $x, '//' );
            }
        );

        First_Party_Analytics::$fs->put_contents(
            FIRST_PARTY_ANALYTICS_DIR . 'libs/public-suffix/public_suffixes_processed.txt',
            implode( PHP_EOL, $public_suffixes )
        );
    }
}
