<?php
/**
 * A class with methods for unique visits.
 *
 * @package First-Party-Analytics
 */

namespace First_Party_Analytics;

use First_Party_Analytics\Databases\Visitors;

/**
 * Class Unique_Visits.
 */
final class Unique_Visits {

    /**
     * Is request unique.
     *
     * @param array       $request Request.
     * @param bool|string $value   Custom value.
     * @param bool|string $type    Custom type.
     *
     * @return bool Whether the request is unique.
     */
    public static function is_request_unique( $request, $value = false, $type = false ) {
        $time       = gmdate( 'Y-m-d H:i:s', strtotime( $request['time'] ) );
        $visitor_id = $request['id'];
        $url        = $request['url'];
        return ! Visitors::get_row_for_day( $time, $visitor_id, $value ? $value : $url, $type );
    }
}
