<?php
/**
 * A class to init data sharing.
 *
 * @package First-Party-Analytics
 */

namespace First_Party_Analytics\Data_Sharing;

use First_Party_Analytics\First_Party_Analytics;

/**
 * Class for data sharing init.
 */
final class Init {

    /**
     * Constructor.
     */
    public function __construct() {
        if ( First_Party_Analytics::$options->get( 'setting-enable-data-sharing-and-recommendations' ) ) {
            new Token();
            new Data_Sharing();
            new Recommendations_Fetch();
        }

        // Adds dashboard widget.
        add_action( 'wp_dashboard_setup', [ $this, 'setup_dashboard_widget' ] );
    }

    /**
     * Adds the dashboard metrics widget.
     */
    public function setup_dashboard_widget() {
        wp_add_dashboard_widget(
            'dashboard_first_party_analytics_recommendations',
            __( 'Recommendations (First Party Analytics)', 'first-party-analytics' ),
            [ $this, 'show_dashboard_widget' ],
            null,
            null,
            'normal',
            'high'
        );
    }

    /**
     * Displays the dashboard widget with recommendations.
     */
    public function show_dashboard_widget() {
        require_once FIRST_PARTY_ANALYTICS_DIR . 'src/templates/admin/recommendations-widget.php';
    }
}
