<?php
/**
 * Search tracking class.
 *
 * @package First-Party-Analytics
 */

namespace First_Party_Analytics\Tracking\Helpers;

/**
 * Class Search.
 */
final class Search {

    /**
     * Constructor.
     */
    public function __construct() {
        add_action( 'wp_head', [ $this, 'add_meta_search_text_tag' ] );
    }

    /**
     * Adds a <meta> tag containing search text.
     */
    public function add_meta_search_text_tag() {
        if ( is_search() ) {
            $search_query = esc_attr( get_search_query() );
            echo "<meta id='first-party-analytics-search-text' name='search-text' content='$search_query'/>";
        }
    }
}
